from sqlalchemy import Column, Integer, String, Text,JSON
from app.models.database import BaseModel


class AirflowTask(BaseModel):
    __tablename__ = "airflow_task"
    id = Column(Integer, primary_key=True, index=True)
    name = Column(Text)
    task_type = Column(String(16))  # 作业类型：可取 datax,python,java,sparks
    file_urls = Column(JSON)  # 执行前需要下载的文件
    script = Column(Text)  # 执行脚本
    cmd = Column(Text)  # 容器执行命令行
    cmd_parameters = Column(Text)  # 执行命令参数
    envs = Column(JSON)  # 环境变量
    run_image = Column(Text)  # 运行的镜像环境，假如不指定则使用默认镜像
    create_time = Column(Integer)  # 创建时间
    update_time = Column(Integer)  # 创建时间
    user_id = Column(Integer)  # 创建者user id
