from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobInfo(BaseModel):
    __tablename__ = "jm_job_info"

    id = Column(Integer, primary_key=True, index=True)
    # 任务名称
    name = Column(String, nullable=False)
    # 任务类型
    type = Column(String, nullable=False)
    # 任务分类
    tag = Column(String, nullable=False)
    # 周期类型
    cron_type = Column(Integer, nullable=False)
    # 选择周期类型(0:时,1:日,2:周,3:月,4:cron)
    cron_select_type = Column(Integer)
    # 周期表达式
    cron_expression = Column(String)
    # api
    api = Column(String)
    # 图形信息
    json_str = Column(String)
    # 状态
    status = Column(Integer, nullable=False)
    # 是否被删除
    delete_status = Column(Integer, nullable=False)
    # 用户id
    user_id = Column(String, nullable=False)
    # 用户名称
    user_name = Column(String, nullable=False)
    # 项目id
    project_id = Column(String, nullable=False)
    # 创建时间
    create_time = Column(Integer)
    # 更新时间
    update_time = Column(Integer)
